# LSB Test Execution Framework
# Qt4-Azov test module
#
# Copyright (C) 2007-2008 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF with some parts
# derived from lsb-autotest written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

package Qt4_azov_test;
use strict;

use Common;
use Packages;

require Tests::Test_common;
@Qt4_azov_test::ISA = qw(Test_common);

=head ##
Class Qt4_azov_test Inherits Test_common;
=cut ##

sub new {
    my $self  = Test_common->new();
    $self->{NAME} = "qt4-azov";
    $self->{DISPLAYNAME} = "Qt4-Azov Tests";
    $self->{DESCRIPTION} = "An LSB Qt4 test suite created "
            ."using the Azov technology";
    $self->{PACKAGES} .= " lsb-tet3 lsb-xvfb lsb-test-qt4-azov";
    $self->{SOURCES} .= " runtime";
    $self->{BETA_SOURCES} .= " runtime";
    $self->{SNAPSHOT_SOURCES} .= " /snapshots/lsb-xvfb /snapshots/tet-harness "
                ."/snapshots/azov-qt4-tests";
    bless($self);
    return $self;
}

sub journal
{
    my $self = shift;
    
    store_journal_info(
        "Unofficial Tests/Runtime Interface Tests/".$self->{DISPLAYNAME},
        "qt4_azov_test", "$results_dir/test_journals/qt4_azov_test.journal", 
        $self);
}

1; # return value
